import { Link, routes } from '@redwoodjs/router'
import { MetaTags } from '@redwoodjs/web'
import KaufsPosCell from 'src/components/Kauf/KaufsPosCell'
import ArtikelsPos from 'src/components/Artikel/ArtikelsPos'
const PosPage = () => {
  return (
    <>
      <MetaTags title="Pos" description="Pos page" />
      <div class="container mx-auto">
        <div class="columns-2">
          <div>
          <ArtikelsPos></ArtikelsPos>
          </div>
          <div >
          <KaufsPosCell></KaufsPosCell>
        </div>
        </div>
      </div>

    </>
  )
}

export default PosPage
